sigmlgen

## Class SiGMLDocToGSiGMLSigns

- java.lang.Object
- - sigmlgen.SiGMLDocToGSiGMLSigns

-     public class SiGMLDocToGSiGMLSigns
      extends java.lang.Object

  Converter for a SiGML document, generating the sequence of `GSiGMLSign`s for it.

  [Implementation loosely inspired by `SiGMLDocHNSToGestural`]

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SiGMLDocToGSiGMLSigns.SignGenException` Exception class for `SiGMLDocToGSiGMLSigns`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLDocToGSiGMLSigns(HNSSignElementToHNS hstoh, HNSToHML htoh, HMLToSiGML htos, XmlElementTextGen xtgen, java.lang.String sigmltext)` Constructs a new SiGML document converter, taking as arguments a standard repertoire of supporting converters and the SiGML document text to be converted, and assuming a null base URI.
    `SiGMLDocToGSiGMLSigns(HNSSignElementToHNS hstoh, HNSToHML htoh, HMLToSiGML htos, XmlElementTextGen xtgen, java.net.URI base, java.io.InputStream sigmlins)` Constructs a new SiGML document converter, taking as arguments a standard repertoire of supporting converters, an input stream for the SiGML documentd to be converted, and the document's base URI.
    `SiGMLDocToGSiGMLSigns(HNSSignElementToHNS hstoh, HNSToHML htoh, HMLToSiGML htos, XmlElementTextGen xtgen, java.net.URI base, java.lang.String sigmltext)` Constructs a new SiGML document converter, taking as arguments a standard repertoire of supporting converters, the SiGML document text to be converted, and its base URI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GSiGMLSign[]` | `getSigns()` Returns the sequence of `GSiGMLSign`s generated by this converter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLDocToGSiGMLSigns

          public SiGMLDocToGSiGMLSigns(HNSSignElementToHNS hstoh,
                                       HNSToHML htoh,
                                       HMLToSiGML htos,
                                       XmlElementTextGen xtgen,
                                       java.lang.String sigmltext)
                                throws SiGMLDocToGSiGMLSigns.SignGenException

      Constructs a new SiGML document converter, taking as arguments a standard repertoire of supporting converters and the SiGML document text to be converted, and assuming a null base URI.
      Throws:
        `SiGMLDocToGSiGMLSigns.SignGenException`

    - #### SiGMLDocToGSiGMLSigns

          public SiGMLDocToGSiGMLSigns(HNSSignElementToHNS hstoh,
                                       HNSToHML htoh,
                                       HMLToSiGML htos,
                                       XmlElementTextGen xtgen,
                                       java.net.URI base,
                                       java.lang.String sigmltext)
                                throws SiGMLDocToGSiGMLSigns.SignGenException

      Constructs a new SiGML document converter, taking as arguments a standard repertoire of supporting converters, the SiGML document text to be converted, and its base URI.
      Throws:
        `SiGMLDocToGSiGMLSigns.SignGenException`

    - #### SiGMLDocToGSiGMLSigns

          public SiGMLDocToGSiGMLSigns(HNSSignElementToHNS hstoh,
                                       HNSToHML htoh,
                                       HMLToSiGML htos,
                                       XmlElementTextGen xtgen,
                                       java.net.URI base,
                                       java.io.InputStream sigmlins)
                                throws SiGMLDocToGSiGMLSigns.SignGenException

      Constructs a new SiGML document converter, taking as arguments a standard repertoire of supporting converters, an input stream for the SiGML documentd to be converted, and the document's base URI.
      Throws:
        `SiGMLDocToGSiGMLSigns.SignGenException`

  - ### Method Detail

    - #### getSigns

          public GSiGMLSign[] getSigns()

      Returns the sequence of `GSiGMLSign`s generated by this converter.